<template>
  <div class="outer">
    <div class="inner" :style="{ width: value + '%', backgroundColor: color }"></div>
  </div>
</template>
<script setup lang="ts">
defineOptions({
  name: 'ProgressBar'
})
export interface ProgressBarProps {
  value: number,
  color: string
}
withDefaults(defineProps<ProgressBarProps>(), {
  value: 10,
  color: 'rgba(200,0,0,1)'

});

</script>
<style scoped>
.outer {
  width: 100%;
  height: 10px;
}

.inner {
  height: 10px;
}
</style>
